=== debian/changelog ===
dtkai (0.0.1) unstable; urgency=medium

  * Initial release

 -- Zhang Yu <zhangyub@uniontech.com>  Wed, 28 Aug 2024 16:40:00 +0800
